package net.northking.cctp.upperComputer.driver.ios.command.data;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;


public class DragUiNodeData extends SearchUiNodeData {
    public  SearchUiNodeData nextNode;

    public void setNextNode(SearchUiNodeData nextNode) {
        this.nextNode = nextNode;
    }

    public SearchUiNodeData getNextNode() {
        return nextNode;
    }

    @Override
    public void buildFromInput(DataInput dataInput) throws IOException {
        super.buildFromInput(dataInput);
        nextNode = new SearchUiNodeData();
        nextNode.buildFromInput(dataInput);
    }

    @Override
    public void encodeToOutput(DataOutput dataOutput) throws IOException {
        super.encodeToOutput(dataOutput);
        nextNode.encodeToOutput(dataOutput);
    }
}
